Page MenuHomePhabricator

Clean up usages of asserting vector getters in Type
ClosedPublic

Authored by ctetreau on Apr 1 2020, 5:03 PM.

Details

Summary

Remove usages of asserting vector getters in Type in preparation for the
VectorType refactor. The existence of these functions complicates the
refactor while adding little value.

Diff Detail

Unit TestsFailed

TimeTest
1,060 msLLVM-Unit.IR/_/IRTests::ConstantsTest.AsInstructionsTest
Note: Google Test filter = ConstantsTest.AsInstructionsTest [==========] Running 1 test from 1 test case. [----------] Global test environment set-up.
470 msLLVM.Analysis/CFLAliasAnalysis/Steensgaard::const-exprs.ll
Script: -- : 'RUN: at line 1'; /mnt/disks/ssd0/agent/workspace/amd64_debian_testing_clang8/build/bin/opt /mnt/disks/ssd0/agent/workspace/amd64_debian_testing_clang8/llvm/test/Analysis/CFLAliasAnalysis/Steensgaard/const-exprs.ll -S -disable-basicaa -cfl-steens-aa -aa-eval -print-all-alias-modref-info 2>&1 | /mnt/disks/ssd0/agent/workspace/amd64_debian_testing_clang8/build/bin/FileCheck /mnt/disks/ssd0/agent/workspace/amd64_debian_testing_clang8/llvm/test/Analysis/CFLAliasAnalysis/Steensgaard/const-exprs.ll
510 msLLVM.Analysis/ScalarEvolution::2011-04-26-FoldAddRec.ll
Script: -- : 'RUN: at line 1'; /mnt/disks/ssd0/agent/workspace/amd64_debian_testing_clang8/build/bin/opt < /mnt/disks/ssd0/agent/workspace/amd64_debian_testing_clang8/llvm/test/Analysis/ScalarEvolution/2011-04-26-FoldAddRec.ll -analyze -iv-users
1,100 msLLVM.Bitcode::thinlto-function-summary-callgraph-cast.ll
Script: -- : 'RUN: at line 2'; /mnt/disks/ssd0/agent/workspace/amd64_debian_testing_clang8/build/bin/opt -module-summary /mnt/disks/ssd0/agent/workspace/amd64_debian_testing_clang8/llvm/test/Bitcode/thinlto-function-summary-callgraph-cast.ll -o /mnt/disks/ssd0/agent/workspace/amd64_debian_testing_clang8/build/test/Bitcode/Output/thinlto-function-summary-callgraph-cast.ll.tmp.o
510 msLLVM.CodeGen/AMDGPU::si-spill-cf.ll
Script: -- : 'RUN: at line 1'; /mnt/disks/ssd0/agent/workspace/amd64_debian_testing_clang8/build/bin/llc -march=amdgcn < /mnt/disks/ssd0/agent/workspace/amd64_debian_testing_clang8/llvm/test/CodeGen/AMDGPU/si-spill-cf.ll -verify-machineinstrs | /mnt/disks/ssd0/agent/workspace/amd64_debian_testing_clang8/build/bin/FileCheck -check-prefix=SI /mnt/disks/ssd0/agent/workspace/amd64_debian_testing_clang8/llvm/test/CodeGen/AMDGPU/si-spill-cf.ll
View Full Test Results (46 Failed)

Event Timeline

ctetreau created this revision.Apr 1 2020, 5:03 PM
Herald added a project: Restricted Project. · View Herald TranscriptApr 1 2020, 5:03 PM
ctetreau updated this revision to Diff 254625.Apr 2 2020, 2:40 PM

update to note that this is NFC

efriedma accepted this revision.Apr 3 2020, 1:48 PM

LGTM

This revision is now accepted and ready to land.Apr 3 2020, 1:48 PM
ctetreau updated this revision to Diff 254951.Apr 3 2020, 4:56 PM

address code review comments

ctetreau updated this revision to Diff 254963.Apr 3 2020, 5:16 PM

Fix rebase SNAFU

ctetreau updated this revision to Diff 255842.Apr 7 2020, 3:44 PM

update commit message to mention bitreader

This revision was automatically updated to reflect the committed changes.